FragAPI
Api

Deposits list

GET
/v1/deposits/

List deposits

Authorization

AuthorizationBearer <token>

User session scheme

In: header

Scope: web

Query Parameters

page?Page

Page number, defaults to 1.

limit?Limit

Limit of items in a page, defaults to 10. Maximum is 100.

sorting?array<>|

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/deposits/"
{  "items": [    {      "amount": 0,      "createdAt": "2019-08-24T14:15:22Z",      "status": "pending",      "tonTransaction": {        "hash": "string"      }    }  ],  "pagination": {    "totalCount": 0,    "maxPage": 0  }}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}